Skip to main content
POST
/
clickwraps
/
re-accept
cURL
curl -X POST https://api.clickterm.com/public-client/v1/clickwraps/re-accept \
  -H "X-APP-ID: YOUR_APP_ID" \
  -H "X-APP-KEY: YOUR_APP_KEY" \
  -H "Content-Type: application/json" \
  -d '{
        "endUserIds": ["user-123", "user-456"],
        "clickwrapTemplateIds": ["987e6543-e21b-45d3-b321-426614174999"],
        "reason": "user_updated_profile"
      }'
{
  "results": [
    {
      "endUserId": "user-123",
      "clickwrapTemplateId": "987e6543-e21b-45d3-b321-426614174999",
      "status": "re_accept_requested"
    },
    {
      "endUserId": "user-456",
      "clickwrapTemplateId": "987e6543-e21b-45d3-b321-426614174999",
      "status": "skipped",
      "reason": "no_prior_acceptance"
    }
  ],
  "summary": {
    "re_accept_requested": 1,
    "skipped": 1
  }
}

Authorizations

X-APP-ID
string
header
required

Your application's App ID, sent as the X-APP-ID header. Must be accompanied by X-APP-KEY for authenticated endpoints.

X-APP-KEY
string
header
required

Your application's secret App Key (server-side only)

Body

application/json

Identifies which end users and templates to mark for re-acceptance

endUserIds
string[]
required

External end-user identifiers (your own IDs). Each is resolved under the calling app. Must be non-empty.

Minimum array length: 1
clickwrapTemplateIds
string<uuid>[]
required

Clickwrap template IDs to mark for re-acceptance. Each is resolved under the calling app. Must be non-empty.

Minimum array length: 1
reason
string | null

Optional free-text note stored for audit. Max 500 characters.

Maximum string length: 500

Response

Per end-user/template-pair re-acceptance outcomes

Outcome of a re-acceptance request, one entry per end-user/template pair

results
object[]

One entry per (endUserId, clickwrapTemplateId) pair

summary
object

Count of pairs by status value, e.g. { "re_accept_requested": 1, "skipped": 2 }.